import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Settings } from './settings/settings';
import { DocSamplesMetadata } from './doc-samples-metadata';
export declare class ConfigurationService {
    private http;
    private util;
    private userId;
    private backendServerAddress;
    private getDocSamplesUrl;
    private uploadDocumentsUrl;
    private chooseSampleUrl;
    private alreadyDocumentsUrl;
    private runMiningUrl;
    private prepareSavedProfileUrl;
    constructor(http: HttpClient);
    getDocSamples(): Observable<DocSamplesMetadata[]>;
    uploadDocuments(file: File): Observable<number>;
    chooseDocumentsSample(choise: string): Observable<number>;
    getLoadedDocumentsNumber(): Observable<any>;
    runMining(parameters: Settings): Observable<any>;
    saveProfileParameters(parameters: Settings): Observable<any>;
}
