import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Content } from './content';
import { ContentsService } from './contents.service';
export declare class ContentComponent implements OnInit {
    private contentsService;
    private route;
    private router;
    contentArray: Array<Content>;
    selectedRow: number;
    selectedCollumn: number;
    results: string;
    focusOnNewInputs: any;
    constructor(contentsService: ContentsService, route: ActivatedRoute, router: Router);
    ngOnInit(): void;
    getContent(): void;
    selectRowColumn(row: any, column: any): void;
    unselectRow(): void;
    addRow(): void;
    isAnyContent(): boolean;
    deleteFieldValue(index: any): void;
    deleteAllFields(): void;
    onFilesChange(file: File): void;
    onFileInvalid(file: File): void;
    saveAndContinue(): void;
    promptToLeave(nextUrl: string): boolean;
}
